For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact usLogin
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Overview
    • Authentication
    • Errors
    • Software Development Kits
    • Webhooks and Events
    • Sandbox Simulations
  • Core Resources
  • DAFpay
  • Disbursements
      • GETList disbursements
      • POSTCreate a disbursement
      • POSTCreate multiple disbursements
      • GETGet a disbursement
      • POSTApprove a disbursement
      • POSTApprove multiple disbursements
      • POSTCancel a pending disbursement
      • POSTStop payment for a disbursement
      • POSTSandbox: Complete a disbursement
      • POSTSandbox: Fail a disbursement
  • Gift Processing
LogoLogo
Contact usLogin
DisbursementsDisbursements

Stop payment for a disbursement

POST
/v1/disbursements/:id/stop
POST
/v1/disbursements/:id/stop
$curl -X POST https://api.givechariot.com/v1/disbursements/disbursement_01jpjen1s23s29kkmnjsb6fzga/stop \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "reason": "mail_delivery_failure"
>}'
1{}
Stop payment for a disbursement sent via check. This prevents the recipient from depositing the check. If the check has already been deposited, the stop payment request will fail. **Requirements:** - Disbursement must be in `submitted` status - Disbursement must be sent via check - Check must not have already been deposited After successfully stopping payment, the disbursement status will be updated to `stopped`.
Was this page helpful?
Previous

Sandbox: Complete a disbursement

Next
Built with

Stop payment for a disbursement sent via check.

This prevents the recipient from depositing the check. If the check has already been deposited, the stop payment request will fail.

Requirements:

  • Disbursement must be in submitted status
  • Disbursement must be sent via check
  • Check must not have already been deposited

After successfully stopping payment, the disbursement status will be updated to stopped.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired
The unique identifier for the disbursement

Request

The request body for stopping a disbursement payment
reasonenumRequired

The reason for stopping a disbursement payment. Possible values include:

  • mail_delivery_failure: The check could not be delivered.
  • not_authorized: The check was not authorized.
  • voided: The check was stopped and voided.
  • unknown: The reason for stopping the disbursement payment is unknown.
Allowed values:

Response

The stop payment request was accepted

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
412
Precondition Failed Error
500
Internal Server Error